package com.op.mes.mapper;

import java.util.List;

import com.op.mes.domain.ProOrder;

/**
 * 订单Mapper接口
 * 
 * @author Open Platform
 * @date 2023-07-13
 */
public interface ProOrderMapper {
	/**
	 * 查询订单
	 * 
	 * @param id 订单主键
	 * @return 订单
	 */
	public ProOrder selectProOrderById(String id);

	/**
	 * 查询订单列表
	 * 
	 * @param proOrder 订单
	 * @return 订单集合
	 */
	public List<ProOrder> selectProOrderList(ProOrder proOrder);

	/**
	 * 新增订单
	 * 
	 * @param proOrder 订单
	 * @return 结果
	 */
	public int insertProOrder(ProOrder proOrder);

	/**
	 * 修改订单
	 * 
	 * @param proOrder 订单
	 * @return 结果
	 */
	public int updateProOrder(ProOrder proOrder);

	/**
	 * 删除订单
	 * 
	 * @param id 订单主键
	 * @return 结果
	 */
	public int deleteProOrderById(String id);

	/**
	 * 批量删除订单
	 * 
	 * @param ids 需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteProOrderByIds(String[] ids);
}
